Debian Bug report logs - #168852
openafs-modules-source: modules should be rebuilt upon upgrade

version graph

Package: openafs-modules-source; Maintainer for openafs-modules-source is Russ Allbery <rra@debian.org>; Source for openafs-modules-source is src:openafs.

Reported by: friedel@nomaden.org

Date: Tue, 12 Nov 2002 22:33:02 UTC

Severity: wishlist

Found in version 1.2.7-2

Fixed in version openafs/1.4.10+dfsg1-2

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sam Hartman <hartmans@debian.org>, openafs@packages.qa.debian.org:
Bug#168852; Package openafs-modules-source. Full text and rfc822 format available.

Acknowledgement sent to friedel@nomaden.org:
New Bug report received and forwarded. Copy sent to Sam Hartman <hartmans@debian.org>, openafs@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Friedrich Delgado Friedrichs <friedel@nomaden.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openafs-modules-source: modules should be rebuilt upon upgrade
Date: Tue, 12 Nov 2002 23:23:29 +0100
Package: openafs-modules-source
Version: 1.2.7-2
Severity: wishlist

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


Modules should be rebuilt upon upgrade, otherwise the system keeps
using the old module after the upgrade. This might even cause a
failure, if the old kernel module is incompatible with the new afsd.

However this wishlist item should be respected only after

#144781: openafs-modules-source: openafs module build builds way too much!

has been fixed.

- -- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux abrasax 2.4.18 #4 Thu May 9 15:32:03 CEST 2002 i686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro

Versions of packages openafs-modules-source depends on:
ii  bison                    1:1.75-1        A parser generator that is compati
ii  debhelper                4.0.2           helper programs for debian/rules
ii  flex                     2.5.4a-27       A fast lexical analyzer generator.
ii  kernel-package           8.010           Debian Linux kernel package build 
ii  libncurses5-dev          5.2.20020112a-8 Developer's libraries and docs for
ii  libpam0g-dev             0.76-7          Development files for PAM

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.0 (GNU/Linux)

iEYEARECAAYFAj3Rf2gACgkQCTmCEtF2zECzDQCdE4ZlYTNqLHpJN20VnwedAP6S
KHEAmwecKOl6XGQ/xglTfrZtKjbXDCVQ
=dHD9
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, openafs@packages.qa.debian.org:
Bug#168852; Package openafs-modules-source. Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to openafs@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 168852@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: friedel@nomaden.org
Cc: 168852@bugs.debian.org
Subject: Re: Bug#168852: openafs-modules-source: modules should be rebuilt upon upgrade
Date: Tue, 12 Nov 2002 18:12:11 -0500
>>>>> "Friedrich" == Friedrich Delgado Friedrichs <friedel@nomaden.org> writes:

    Friedrich> Modules should be rebuilt upon upgrade, otherwise the
    Friedrich> system keeps using the old module after the
    Friedrich> upgrade. This might even cause a failure, if the old
    Friedrich> kernel module is incompatible with the new afsd.

Note that I do try and track this and will change the appropriate
provides/depends so that you will be forced to build new modules if
there is a compatibility problem.


I'm leaving this open at least for now until I evaluate whether
auto-rebuilding can easily be implemented and how useful it would be.




Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hartman <hartmans@debian.org>:
Bug#168852; Package openafs-modules-source. Full text and rfc822 format available.

Acknowledgement sent to schnitzel meister <schnitzelmeister@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sam Hartman <hartmans@debian.org>. Full text and rfc822 format available.

Message #15 received at 168852@bugs.debian.org (full text, mbox):

From: schnitzel meister <schnitzelmeister@gmail.com>
To: 168852@bugs.debian.org
Subject: Kernel module automatic rebuilding
Date: Wed, 2 Nov 2005 08:54:31 +0100
For the sake of completeness, perhaps the following project is relevant:
 http://linux.dell.com/projects.shtml#dkms



Information forwarded to debian-bugs-dist@lists.debian.org, Russ Allbery <rra@debian.org>:
Bug#168852; Package openafs-modules-source. (Thu, 19 Feb 2009 04:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Daniel Richard G." <skunk@iSKUNK.ORG>:
Extra info received and forwarded to list. Copy sent to Russ Allbery <rra@debian.org>. (Thu, 19 Feb 2009 04:36:02 GMT) Full text and rfc822 format available.

Message #20 received at 168852@bugs.debian.org (full text, mbox):

From: "Daniel Richard G." <skunk@iSKUNK.ORG>
To: 168852@bugs.debian.org
Subject: Re: Bug#168852
Date: Wed, 18 Feb 2009 23:33:46 -0500
Ping.

DKMS is used nowadays in the Ubuntu packaging of VirtualBox to keep the 
associated kernel module in sync with the kernel. (Have a look-see at 
virtualbox-ose-source.) It works very well there, and I think it is worth 
investigating as a potential solution to this bug.

The only possible issue I can see is that the OpenAFS module doesn't 
exactly build within seconds, and the user would have to endure the wait at 
every kernel upgrade. (The VirtualBox module builds relatively quickly.)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#168852; Package openafs-modules-source. (Thu, 19 Feb 2009 05:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. (Thu, 19 Feb 2009 05:51:02 GMT) Full text and rfc822 format available.

Message #25 received at 168852@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: "Daniel Richard G." <skunk@iSKUNK.ORG>
Cc: 168852@bugs.debian.org
Subject: Re: Bug#168852:
Date: Wed, 18 Feb 2009 21:50:19 -0800
"Daniel Richard G." <skunk@iSKUNK.ORG> writes:

> DKMS is used nowadays in the Ubuntu packaging of VirtualBox to keep the
> associated kernel module in sync with the kernel. (Have a look-see at
> virtualbox-ose-source.) It works very well there, and I think it is
> worth investigating as a potential solution to this bug.

I've already finished DKMS packages for OpenAFS and will upload them as
soon as DKMS is available in Debian.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Russ Allbery <rra@debian.org>:
Bug#168852; Package openafs-modules-source. (Thu, 19 Feb 2009 06:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Daniel Richard G." <skunk@iSKUNK.ORG>:
Extra info received and forwarded to list. Copy sent to Russ Allbery <rra@debian.org>. (Thu, 19 Feb 2009 06:06:02 GMT) Full text and rfc822 format available.

Message #30 received at 168852@bugs.debian.org (full text, mbox):

From: "Daniel Richard G." <skunk@iSKUNK.ORG>
To: Russ Allbery <rra@debian.org>
Cc: 168852@bugs.debian.org
Subject: Re: Bug#168852
Date: Thu, 19 Feb 2009 01:03:08 -0500
On Wed, 2009 Feb 18 21:50:19 -0800, Russ Allbery wrote:
> 
> I've already finished DKMS packages for OpenAFS and will upload them as
> soon as DKMS is available in Debian.

Russ, very kind thanks for the work you've done for OpenAFS :-)

I hope these new DKMS-enabled packages can find their way into Ubuntu 
before too long. There is a similar, old-timer bug in their database:

	https://bugs.launchpad.net/bugs/52786




Tags added: pending Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Wed, 27 May 2009 05:12:05 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Sun, 31 May 2009 22:42:25 GMT) Full text and rfc822 format available.

Notification sent to friedel@nomaden.org:
Bug acknowledged by developer. (Sun, 31 May 2009 22:42:25 GMT) Full text and rfc822 format available.

Message #37 received at 168852-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 168852-close@bugs.debian.org
Subject: Bug#168852: fixed in openafs 1.4.10+dfsg1-2
Date: Sun, 31 May 2009 22:41:14 +0000
Source: openafs
Source-Version: 1.4.10+dfsg1-2

We believe that the bug you reported is fixed in the latest version of
openafs, which is due to be installed in the Debian FTP archive:

libopenafs-dev_1.4.10+dfsg1-2_i386.deb
  to pool/main/o/openafs/libopenafs-dev_1.4.10+dfsg1-2_i386.deb
libpam-openafs-kaserver_1.4.10+dfsg1-2_i386.deb
  to pool/main/o/openafs/libpam-openafs-kaserver_1.4.10+dfsg1-2_i386.deb
openafs-client_1.4.10+dfsg1-2_i386.deb
  to pool/main/o/openafs/openafs-client_1.4.10+dfsg1-2_i386.deb
openafs-dbg_1.4.10+dfsg1-2_i386.deb
  to pool/main/o/openafs/openafs-dbg_1.4.10+dfsg1-2_i386.deb
openafs-dbserver_1.4.10+dfsg1-2_i386.deb
  to pool/main/o/openafs/openafs-dbserver_1.4.10+dfsg1-2_i386.deb
openafs-doc_1.4.10+dfsg1-2_all.deb
  to pool/main/o/openafs/openafs-doc_1.4.10+dfsg1-2_all.deb
openafs-fileserver_1.4.10+dfsg1-2_i386.deb
  to pool/main/o/openafs/openafs-fileserver_1.4.10+dfsg1-2_i386.deb
openafs-kpasswd_1.4.10+dfsg1-2_i386.deb
  to pool/main/o/openafs/openafs-kpasswd_1.4.10+dfsg1-2_i386.deb
openafs-krb5_1.4.10+dfsg1-2_i386.deb
  to pool/main/o/openafs/openafs-krb5_1.4.10+dfsg1-2_i386.deb
openafs-modules-dkms_1.4.10+dfsg1-2_i386.deb
  to pool/main/o/openafs/openafs-modules-dkms_1.4.10+dfsg1-2_i386.deb
openafs-modules-source_1.4.10+dfsg1-2_i386.deb
  to pool/main/o/openafs/openafs-modules-source_1.4.10+dfsg1-2_i386.deb
openafs_1.4.10+dfsg1-2.diff.gz
  to pool/main/o/openafs/openafs_1.4.10+dfsg1-2.diff.gz
openafs_1.4.10+dfsg1-2.dsc
  to pool/main/o/openafs/openafs_1.4.10+dfsg1-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 168852@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated openafs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 26 May 2009 21:18:54 -0700
Source: openafs
Binary: openafs-client openafs-kpasswd openafs-fileserver openafs-dbserver openafs-doc openafs-krb5 libopenafs-dev openafs-modules-source openafs-modules-dkms libpam-openafs-kaserver openafs-dbg
Architecture: source all i386
Version: 1.4.10+dfsg1-2
Distribution: unstable
Urgency: low
Maintainer: Russ Allbery <rra@debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 libopenafs-dev - AFS distributed filesystem development libraries
 libpam-openafs-kaserver - AFS distributed filesystem kaserver PAM module
 openafs-client - AFS distributed filesystem client support
 openafs-dbg - AFS distributed filesystem debugging information
 openafs-dbserver - AFS distributed filesystem database server
 openafs-doc - AFS distributed filesystem documentation
 openafs-fileserver - AFS distributed filesystem file server
 openafs-kpasswd - AFS distributed filesystem old password changing
 openafs-krb5 - AFS distributed filesystem Kerberos 5 integration
 openafs-modules-dkms - AFS distributed filesystem kernel module DKMS source
 openafs-modules-source - AFS distributed filesystem kernel module source
Closes: 168852 502571 525131 528785
Changes: 
 openafs (1.4.10+dfsg1-2) unstable; urgency=low
 .
   * Apply upstream CVS deltas:
     - STABLE14-dprintf-rename-20090427: rename AFS's dprintf to avoid
       conflicts with one in the kernel.
     - STABLE14-linux26-defer-cred-changing-20090511: defer changing groups
       when the real and effective credentials of a process differ to avoid
       running afoul of checks in newer Linux kernels that cause oops.
       (Closes: #528785)
     - STABLE14-linux-mmap-antirecursion-fix-20090512 and
       STABLE14-linux-mmap-antirecursion-avoid-spurious-eio-20090526:
       improvements in flag setting and locking around recursive mmap
       protection.
     - STABLE14-memcache-write-on-laststore-20090512: write back dirty
       pages on last store with memcache to avoid losing changes.
     - STABLE14-background-fsync-consistency-issues-20090522: file
       descriptor handling fixes for the file server.
     - STABLE14-man-page-vos-dump-flags-20090526: document the -clone and
       -omitdirs flags to vos dump.  (Closes: #502571)
   * Provide an openafs-modules-dkms package that uses DKMS to dynamically
     build kernel modules for the local kernel and document this option in
     README.modules.  This is an alternative to installing
     openafs-modules-source and building kernel modules for each new kernel
     with module-assistant or make-kpkg.  (Closes: #168852, #525131)
     (LP: #52786, #368471, #369875)
   * Have openafs-client recommend at least the current source version of
     openafs-modules-source or openafs-modules-dkms instead of any old
     version.  While the API probably hasn't changed, it's best practice to
     keep a relatively close match between the userspace andn the kernel
     module version.  (LP: #369875)
   * Dynamically determine the Debian and upstream versions for dkms.conf
     and get-orig-source from debian/changelog.  Thanks, Anders Kaseorg.
     (LP: #364426)
   * Build-depend on cpio (used for generating openafs-modules-source).
Checksums-Sha1: 
 55754c7ce626b45f3a4777dba4ad670ac0fbc7a4 1550 openafs_1.4.10+dfsg1-2.dsc
 44f9bd8ee85ed5d93e8b5c933144fc82b8e4b400 128734 openafs_1.4.10+dfsg1-2.diff.gz
 cb53fbd5af5f87394df2af56c9f461dce082d2d2 2716134 openafs-doc_1.4.10+dfsg1-2_all.deb
 23dba8a55aef0153f4469558eb993901c721c923 2971414 openafs-client_1.4.10+dfsg1-2_i386.deb
 c7694230f106746bc2953a944abd0b151363d67e 273604 openafs-kpasswd_1.4.10+dfsg1-2_i386.deb
 2e8dd9bf8870a5821244b0232cab445391c0fa18 1062292 openafs-fileserver_1.4.10+dfsg1-2_i386.deb
 b2dff1144ec56b313c0873377fcf5ade515b5d75 573012 openafs-dbserver_1.4.10+dfsg1-2_i386.deb
 2b1219e5958b6e153c7f9b1bd97f3b3a150c4351 253056 openafs-krb5_1.4.10+dfsg1-2_i386.deb
 6d8ded00c8c8c719ea9a8ee44abff9cd636c6bba 2135760 libopenafs-dev_1.4.10+dfsg1-2_i386.deb
 7bdfc0365ec899ccbc1da06241106039c39d9ce8 890350 openafs-modules-source_1.4.10+dfsg1-2_i386.deb
 b03fc185f5fd223287218f3017fde7643d970016 1055044 openafs-modules-dkms_1.4.10+dfsg1-2_i386.deb
 82cf7ebb55f6458febe5f0fd88b7787b6ab4fe5e 428220 libpam-openafs-kaserver_1.4.10+dfsg1-2_i386.deb
 1ed113ef5884c4c9bfd4d746dc390680d3f9d1aa 2761312 openafs-dbg_1.4.10+dfsg1-2_i386.deb
Checksums-Sha256: 
 1c15d7b2833938176f1139d8bc00323b08bb823cb3726b153aa545c131d54a93 1550 openafs_1.4.10+dfsg1-2.dsc
 872110d10a46acfcca48be456174eb5018ae55418cc3032f035ee6c9b16e9987 128734 openafs_1.4.10+dfsg1-2.diff.gz
 77a399cb6d2d7a15797844c06c7a6d3e7844117b29ec4dc2cf0afb983ce3c2ad 2716134 openafs-doc_1.4.10+dfsg1-2_all.deb
 28f9c0d7c78c3a3fd40804be3d7821843f2575095c700d212792bc4deba2d299 2971414 openafs-client_1.4.10+dfsg1-2_i386.deb
 d6e31e18c0b28cc144f36b48f911de87096429c693a1e49ed38f12c4bbd3509f 273604 openafs-kpasswd_1.4.10+dfsg1-2_i386.deb
 ae467094cdf3d9102b1316f5b5630c84f08869bbb9eacea26a47d20e736fdd74 1062292 openafs-fileserver_1.4.10+dfsg1-2_i386.deb
 1c81f8e1b6ec77570f5718e416b50e6d034c20aa0412b5f9a44f6ab204e1ff20 573012 openafs-dbserver_1.4.10+dfsg1-2_i386.deb
 dc125379ba41b1aae09d4523f359f697945d7bfd01dc0a12ab54c8dde1e66889 253056 openafs-krb5_1.4.10+dfsg1-2_i386.deb
 cf393b71e50a73d2691ea38b0d3003d6bf61037279fbf4d686a5c980863e4fad 2135760 libopenafs-dev_1.4.10+dfsg1-2_i386.deb
 123ace84351fc14408417940d4224382d781a7938986b54344bcf31e776e3547 890350 openafs-modules-source_1.4.10+dfsg1-2_i386.deb
 bd5f66e15f19a321e9fc5d6d10070b73f48a9f26f941d6bfd7bab3860696f49f 1055044 openafs-modules-dkms_1.4.10+dfsg1-2_i386.deb
 7da3baa8ac8696b03aa2dab56c97d7b6a135eb36979a1bd7dc8b906eb679f8dc 428220 libpam-openafs-kaserver_1.4.10+dfsg1-2_i386.deb
 ae0e32ce7e2e84d6dc48bd8fcee3555dd7549599b63d638d9583774817863757 2761312 openafs-dbg_1.4.10+dfsg1-2_i386.deb
Files: 
 88a6d77ba376080fac4c7e1db6ca3381 1550 net optional openafs_1.4.10+dfsg1-2.dsc
 0a2a7d4ab24b4b5e13f8e1031739f5a4 128734 net optional openafs_1.4.10+dfsg1-2.diff.gz
 68929989ed2bbc7b5e6f1ff70b8c9e26 2716134 doc optional openafs-doc_1.4.10+dfsg1-2_all.deb
 e5ecf936f76000de24a3b2ad4ec38088 2971414 net optional openafs-client_1.4.10+dfsg1-2_i386.deb
 ce00e821d05ff705a4201312b0d9531c 273604 net extra openafs-kpasswd_1.4.10+dfsg1-2_i386.deb
 950ae635947f865af4624b82b4de66f1 1062292 net optional openafs-fileserver_1.4.10+dfsg1-2_i386.deb
 25d737097ab3979b3fb1198e7abf86b2 573012 net optional openafs-dbserver_1.4.10+dfsg1-2_i386.deb
 5663c8728f4c2d2ed17c2c4b98bd39b9 253056 net optional openafs-krb5_1.4.10+dfsg1-2_i386.deb
 e268603027506aa8ad8c89d1f52fa2f8 2135760 libdevel extra libopenafs-dev_1.4.10+dfsg1-2_i386.deb
 bca3d9ce0bd2260189af5c2d32cd20d5 890350 kernel extra openafs-modules-source_1.4.10+dfsg1-2_i386.deb
 819b3633f820213c499eb42c7f2b7839 1055044 net extra openafs-modules-dkms_1.4.10+dfsg1-2_i386.deb
 91157873288a98781c0327f0a1559d59 428220 admin extra libpam-openafs-kaserver_1.4.10+dfsg1-2_i386.deb
 16c8a5112b30a4054529044338ab887a 2761312 debug extra openafs-dbg_1.4.10+dfsg1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkocxl4ACgkQ+YXjQAr8dHZjEgCgkucb0wDvbOCNyXCA2PQle5NM
xFQAnjNM8REybcWWGjEbYLzU52b4dS3n
=tMX6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 27 Jul 2009 07:29:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:22:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.